import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IDialogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/dialogs/common/dialogs.service";
import { IQuickInputService } from "@codingame/monaco-vscode-api/vscode/vs/platform/quickinput/common/quickInput.service";
import { IStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage.service";
import { IActivityService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/activity/common/activity.service";
import { IAuthenticationAccessService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/authentication/browser/authenticationAccessService.service";
import { IAuthenticationUsageService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/authentication/browser/authenticationUsageService.service";
import { AuthenticationSession, AuthenticationSessionAccount } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/authentication/common/authentication";
import { IAuthenticationExtensionsService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/authentication/common/authentication.service";
import { IAuthenticationService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/authentication/common/authentication.service";
import { IProductService } from "@codingame/monaco-vscode-api/vscode/vs/platform/product/common/productService.service";
export declare class AuthenticationExtensionsService extends Disposable implements IAuthenticationExtensionsService {
    private readonly activityService;
    private readonly storageService;
    private readonly dialogService;
    private readonly quickInputService;
    private readonly _productService;
    private readonly _authenticationService;
    private readonly _authenticationUsageService;
    private readonly _authenticationAccessService;
    readonly _serviceBrand: undefined;
    private _signInRequestItems;
    private _sessionAccessRequestItems;
    private readonly _accountBadgeDisposable;
    private _onDidAccountPreferenceChange;
    readonly onDidChangeAccountPreference: import("@codingame/monaco-vscode-api/vscode/vs/base/common/event").Event<{
        providerId: string;
        extensionIds: string[];
    }>;
    private _inheritAuthAccountPreferenceParentToChildren;
    private _inheritAuthAccountPreferenceChildToParent;
    constructor(activityService: IActivityService, storageService: IStorageService, dialogService: IDialogService, quickInputService: IQuickInputService, _productService: IProductService, _authenticationService: IAuthenticationService, _authenticationUsageService: IAuthenticationUsageService, _authenticationAccessService: IAuthenticationAccessService);
    private registerListeners;
    private updateNewSessionRequests;
    private updateAccessRequests;
    private updateBadgeCount;
    private removeAccessRequest;
    updateAccountPreference(extensionId: string, providerId: string, account: AuthenticationSessionAccount): void;
    getAccountPreference(extensionId: string, providerId: string): string | undefined;
    removeAccountPreference(extensionId: string, providerId: string): void;
    private _getKey;
    updateSessionPreference(providerId: string, extensionId: string, session: AuthenticationSession): void;
    getSessionPreference(providerId: string, extensionId: string, scopes: string[]): string | undefined;
    removeSessionPreference(providerId: string, extensionId: string, scopes: string[]): void;
    private _updateAccountAndSessionPreferences;
    private showGetSessionPrompt;
    selectSession(providerId: string, extensionId: string, extensionName: string, scopes: string[], availableSessions: AuthenticationSession[]): Promise<AuthenticationSession>;
    private completeSessionAccessRequest;
    requestSessionAccess(providerId: string, extensionId: string, extensionName: string, scopes: string[], possibleSessions: AuthenticationSession[]): void;
    requestNewSession(providerId: string, scopes: string[], extensionId: string, extensionName: string): Promise<void>;
}
