import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { ILogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log.service";
import { IProductService } from "@codingame/monaco-vscode-api/vscode/vs/platform/product/common/productService.service";
import { IStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage.service";
import { IAuthenticationService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/authentication/common/authentication.service";
import { IAuthenticationUsageService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/authentication/browser/authenticationUsageService.service";
export interface IAccountUsage {
    extensionId: string;
    extensionName: string;
    lastUsed: number;
    scopes?: string[];
}
export declare class AuthenticationUsageService extends Disposable implements IAuthenticationUsageService {
    private readonly _storageService;
    private readonly _authenticationService;
    private readonly _logService;
    _serviceBrand: undefined;
    private _queue;
    private _extensionsUsingAuth;
    constructor(_storageService: IStorageService, _authenticationService: IAuthenticationService, _logService: ILogService, productService: IProductService);
    initializeExtensionUsageCache(): Promise<void>;
    extensionUsesAuth(extensionId: string): Promise<boolean>;
    readAccountUsages(providerId: string, accountName: string): IAccountUsage[];
    removeAccountUsage(providerId: string, accountName: string): void;
    addAccountUsage(providerId: string, accountName: string, scopes: string[], extensionId: string, extensionName: string): void;
    private _addExtensionsToCache;
}
